%global __provides_exclude perl\\(Youri::Check::.*\\)
%global __requires_exclude perl\\(Youri::(Check::.*|BTS::Bugzilla)\\)

Name:		youri-check
Version:	0.10.4
Release:	%mkrel 7
Summary:	Youri package check tool
License:	GPL or Artistic
Group:		Development/Other
Url:		https://github.com/guillomovitch/youri-check
Source0:	https://github.com/guillomovitch/youri-check/archive/refs/tags/v%{version}#/%{name}-%{version}.tar.gz
Patch1:		dumper1.patch
Patch2:		youri-check-gnome.patch
Patch3:		youri-check-gnome-url.patch
Patch4:		youri-check-footer.patch
BuildArch:	noarch
BuildRequires:	perl(Youri::Utils)
# avoid mandriva fork
Requires:	perl-Youri-Config
Requires:	perl-Youri-Media
Requires:	perl-Youri-Package
Requires:	perl-Youri-Utils
# for P2
Requires:	perl(Perl::Version)

%description
youri-check is a generic package checking tool. It runs a list of tests on a
list of package sets, and produces corresponding reports.

%prep
%autosetup -p1

%build
%configure
%make_build

%check
%__make check

%install
%make_install

%files
%doc ChangeLog README
%config(noreplace) %{_sysconfdir}/youri
%{_bindir}/youri-check
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/youri
%{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.10.4-7.mga10
+ Revision: 2233642
- Mageia 10 Mass Rebuild

* Mon Jan 06 2025 wally <wally> 0.10.4-6.mga10
+ Revision: 2135676
- add fixes from Mageia BS
+ danf <danf>
- Update URLs

* Mon Mar 21 2022 umeabot <umeabot> 0.10.4-5.mga9
+ Revision: 1811368
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.10.4-4.mga8
+ Revision: 1523569
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 08 2019 shlomif <shlomif> 0.10.4-3.mga7
+ Revision: 1372676
- Fix broken func call
- add Requires - I wasted time on that.

* Fri Sep 21 2018 umeabot <umeabot> 0.10.4-2.mga7
+ Revision: 1292214
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 guillomovitch <guillomovitch> 0.10.4-1.mga7
+ Revision: 1174739
- new version 0.10.4, fixing Fedora updates retrieval

* Tue Jun 07 2016 tv <tv> 0.10.3-3.mga6
+ Revision: 1020561
- try to adapt to latest Fedora (mga#18191)
- fix URL

* Fri Feb 19 2016 umeabot <umeabot> 0.10.3-2.mga6
+ Revision: 969135
- Mageia 6 Mass Rebuild

* Mon Aug 10 2015 pterjan <pterjan> 0.10.3-1.mga6
+ Revision: 862363
- Update to 0.10.3 and drop patches

* Wed Aug 05 2015 sander85 <sander85> 0.10.2-7.mga6
+ Revision: 861403
- Fix some dependency on hash ordering (pterjan)

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-6.mga5
+ Revision: 740582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-5.mga5
+ Revision: 690840
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.10.2-4.mga4
+ Revision: 520874
- Mageia 4 Mass Rebuild
+ dams <dams>
- s/Mandriva/Mageia
- clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 387595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tmb <tmb> 0.10.2-2.mga3
+ Revision: 330532
- fix fedora update git url (P0)

* Tue Nov 27 2012 pterjan <pterjan> 0.10.2-1.mga3
+ Revision: 322473
- 0.10.2

* Wed Apr 13 2011 pterjan <pterjan> 0.10.1-1.mga1
+ Revision: 84107
- imported package youri-check


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 0.10-6mdv2011.0
+ Revision: 556500
- rebuild for new perl

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.10-5mdv2010.0
+ Revision: 446311
- rebuild

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-4mdv2009.1
+ Revision: 324644
- use explicit dependencies, to avoid mandriva fork package
- filter some useless automatic dependencies
- add README.urpmi with a few post-installation details

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 0.10-3mdv2009.0
+ Revision: 263762
- fix testsuite buildrequires
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 17081
- Import youri-check



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
- first mdv release
